#ifndef ADBUTILS_H
#define ADBUTILS_H

#include <QProcess>

class AdbUtils : public QObject {
    Q_OBJECT

public:
    explicit AdbUtils(QObject *parent = nullptr);

    static bool checkDevices();

    static bool startApp(const QString &packageName);

    static bool tap(int x, int y);

    static bool inputText(const QString &text);

    static bool swipe(int x1, int y1, int x2, int y2);

    static bool dumpAndPullUiXml(const QString &localPath);

    // static bool takeScreenshot(const QString& filename);

    // void log(const QString& message);
};

#endif // ADBUTILS_H
